<back to all web services

SpecificListsGetRequest

The following routes are available for this service:
PUT/RestApi/lists-api/items
"use strict";
export class SpecificListsGetRequest {
    /** @param {{Ids?:string[],Provider?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string[]} */
    Ids;
    /** @type {string} */
    Provider;
}
export class ItemsTargetLanguageStatusProxy {
    /** @param {{Code?:string,Name?:string,SomeItemsHaveIncompatiblePendingTranslations?:boolean,AllItemsHaveIncompatiblePendingTranslations?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Code;
    /** @type {string} */
    Name;
    /** @type {boolean} */
    SomeItemsHaveIncompatiblePendingTranslations;
    /** @type {boolean} */
    AllItemsHaveIncompatiblePendingTranslations;
}
/** @typedef T {any} */
export class CollectionContext {
    /** @param {{TotalCount?:number,IsGeneric?:boolean,Context?:{ [index:string]: string; },Items?:ItemsTargetLanguageStatusProxy[]}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {number} */
    TotalCount;
    /** @type {boolean} */
    IsGeneric;
    /** @type {{ [index:string]: string; }} */
    Context;
    /** @type {ItemsTargetLanguageStatusProxy[]} */
    Items;
}

JavaScript SpecificListsGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/lists-api/items HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}